<?php
/**
* @version 			1.6.0
* @author       	http://www.jseblod.com
* @copyright		Copyright (C) 2009-2010 jSeblod. All Rights Reserved.
* @license 			GNU/GPL V2 License. http://www.jseblod-cck.com
* @package			Default Form Template (Auto) - jSeblod CCK ( Content Construction Kit )
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
/**
 * Init jSeblod Process Object { !Important; !Required; }
 **/
$jSeblod	=	clone $this;

if ( array_key_exists( 'cckform', get_object_vars( $jSeblod ) ) && array_key_exists( 'cckitems', get_object_vars( $jSeblod ) ) ) {
$cckform	=	$jSeblod->cckform;
$cckitems	=	$jSeblod->cckitems;
} else {
	global $mainframe;
	$mainframe->enqueueMessage( 'This Templtate is an Auto Form Template, it can\'t be used to render Content. (Only Forms!) So... do not assign any Site View on it.', "error" );
	return true;
}

$panelId	=	0;
$subPanelId =	0;
jimport( 'joomla.html.pane' );
?>

<?php 
/**
 * Init Style Parameters
 **/
include( dirname(__FILE__) . '/params.php' );
?>

<?php
/**
 * Push jSeblod Form Action Content Field
 **/
echo $jSeblod->$cckform->form;
?>

<?php 
/**
 * Push Any jSeblod Content Fields
 **/
if ( sizeof( $cckitems ) ):
?>
<fieldset class="adminform" <?php echo $fieldsetStyle; ?>>
<?php if ( $showTitle ) { ?>
<legend <?php echo $legendStyle; ?>><?php echo ( @$this->menu->title ) ? @$this->menu->title : JText::_( 'CCK SITE FORM' ); ?></legend>
<?php } ?>
    <div id="validation-alert-container" style="float: right;"></div>
	<table class="admintable" width="100%">
	<?php for ( $i = 0, $n = count( $cckitems ); $i < $n; $i++ ) {
		$item	=	$cckitems[$i];
		
		if ( $jSeblod->$item ) { ?>
	        <!-- Fields Types (Array) -->
			<?php if ( is_array ( $jSeblod->$item ) ) { ?>
				<tr>
				<td width="25" <?php echo ( ! ( $jSeblod->{$item}[0]->light || $jSeblod->{$item}[0]->display == 3 ) ) ? '' : 'class="key_balloon"'; ?>>
                <?php if ( $jSeblod->{$item}[0]->light ) { ?>
                    <?php if ( $jSeblod->{$item}[0]->description ) { ?>
                    <span class="DescriptionTip" title="<?php echo $jSeblod->{$item}[0]->label; ?>::<?php echo $jSeblod->{$item}[0]->tooltip; ?>">
                        <img src="<?php echo $path.'/images/'.$tooltipIcon; ?>" alt=" " />
                    </span>
                    <?php } ?>
                <?php } ?>
                </td>
                <td width="140" <?php echo ( ! ( $jSeblod->{$item}[0]->light || $jSeblod->{$item}[0]->display == 3 ) ) ? '' : 'class="key"'; ?>>
                <?php if ( $jSeblod->{$item}[0]->display == 3 || $jSeblod->{$item}[0]->display == 2 ) { ?>
                    <label for="<?php echo $jSeblod->{$item}[0]->name; ?>" <?php if ( $labelColor ) { echo 'style="color: '.$labelColor.';"'; } ?>><?php echo ( $jSeblod->{$item}[0]->label ) ? $jSeblod->{$item}[0]->label . $labelSeparator : ''; ?></label>
                <?php $n2	=	count( $jSeblod->$item ); ?>
                <br /><a href="javascript: addOption('<?php echo $jSeblod->{$item}[0]->name; ?>');"><img id="addoption-button"<?php if ( !( $n2 < $jSeblod->{$item}[0]->maximum ) ) { echo 'class="display-no"'; } ?>  style="padding-top: 2px;" src="<?php echo $root; ?>/media/jseblod/_icons/add-default.png" border="0" alt="add" /></a>
                <?php } ?>
                </td>
                <td align="left">
                <ul style="list-style: none outside none; margin:0; padding: 0;" id="<?php echo 'add-elem-parent-'.$jSeblod->{$item}[0]->name; ?>">
				<?php for ( $i2 = 0; $i2 < $n2; $i2++ ) {
				
					if ( $jSeblod->{$item}[$i2] ) { ?>
					
                    <?php $colspan = 0; ?>
                    <?php if ( $jSeblod->{$item}[$i2]->display != -1 ) { ?>
					<?php if ( $jSeblod->{$item}[$i2]->displayfield == 0 || ( $jSeblod->{$item}[$i2]->displayfield == 1 && $client->id ) || ( $jSeblod->{$item}[$i2]->displayfield == 2 && !$client->id ) ) { ?>
                        <li id="<?php echo 'add-elem-child-'.$i2.'-'.$jSeblod->{$item}[$i2]->name; ?>"> 
                            <div id="<?php echo $jSeblod->{$item}[$i2]->container; ?>">
	                            <?php echo $jSeblod->{$item}[$i2]->codebefore; ?>
                                <?php echo $jSeblod->{$item}[$i2]->form; ?>
                                <?php echo '&nbsp;<a title="'.($i2+1).'" href="javascript: removeOption(\''.$jSeblod->{$item}[$i2]->name.'\', '.$i2.');"><img src="'.$root.'/media/jseblod/_icons/del-default.gif"></a>' ?>
                                <?php echo $jSeblod->{$item}[$i2]->codebefore; ?>
                            </div>
                        </li>
                    <?php } else { echo $jSeblod->{$item}[$i2]->form; }?>
			        <?php } ?>

				<?php } ?>
  				<?php } ?>
               	</ul>
    	        </td>
	            </tr>
			<?php } else { ?>

            <!-- Field Types (Var)-->
			<?php if ( $jSeblod->$item->display == -3 ) {
                    if ( $animPanels ) {
                        echo '</table>';
                        if ( $panelId == 0 ) {
							echo '<br />';
                            $objPanel =& JPane::getInstance( 'Sliders', array( 'startOffset' => 0, 'startTransition' => 0, 'allowAllClose' => true ) ); 
                            echo $objPanel->startPane( 'panel_'.$jSeblod->$item->name );
                            echo $objPanel->startPanel( $jSeblod->$item->label, 'panel'.$panelId );
                            echo '<table class="admintable">';
                        } else {
                            if ( $subPanelId > 0 ) {
                                echo $objSubPanel->endPanel();
                                echo $objSubPanel->endPane();	//
                                echo '</table>';
								$subPanelId = -1;
                            }
                            echo $objPanel->endPanel().'<br />';
							if ( $jSeblod->$item->bool2 ) {
								$closed	=	1;
								echo $objPanel->endPane();
							} else {
                            	echo $objPanel->startPanel( $jSeblod->$item->label, 'panel'.$panelId );
							}
                            echo '<table class="admintable">';
                        }
                        $panelId++;
                    } else {
                        echo '<tr><td colspan="3"><h3 '.$panelTitleStyle.'>'.$jSeblod->$item->label.'</h3></td></tr>';
                    }
                } else if ( $jSeblod->$item->display == -2 ) {
                    if ( $animPanels ) {
                        if ( $subPanelId == 0 ) {
	                        echo '</table>';
                            $objSubPanel =& JPane::getInstance( 'tabs', array( 'startOffset' => 0 ) );	//!! $objSubPanel =& JPane::getInstance( 'tabs', array( 'startOffset' => 1 ) ); 
                            echo $objSubPanel->startPane( 'panel_'.$jSeblod->$item->name );
                            echo $objSubPanel->startPanel( $jSeblod->$item->label, 'subpanel'.$subPanelId );
                            echo '<table class="admintable">';
                        } else {
                            echo '</table>';
                            echo $objSubPanel->endPanel();
							//echo $objSubPanel->endPane();		//
							if ( $jSeblod->$item->bool2 ) {
								$subClosed	=	1;
								echo $objSubPanel->endPane();
								echo '<br />';
							} else {
                            	echo $objSubPanel->startPanel( $jSeblod->$item->label, 'subpanel'.$subPanelId );
							}
                            echo '<table class="admintable">';
                        }
                        $subPanelId++;
                    } else {
                        echo '<br />';
                    }
                } else { ?>
                    <?php $colspan = 0; ?>
                    <?php if ( $jSeblod->$item->display != -1 ) { ?>
					<?php if ( $jSeblod->$item->displayfield == 0 || ( $jSeblod->$item->displayfield == 1 && $client->id ) || ( $jSeblod->$item->displayfield == 2 && !$client->id ) ) { ?>
                        <tr> 
                            <td width="25" <?php echo ( ! ( $jSeblod->$item->light || $jSeblod->$item->display == 3 ) ) ? '' : 'class="key_balloon"'; ?>>
                            <?php if ( $jSeblod->$item->light ) { ?>
                                <?php if ( $jSeblod->$item->description ) { ?>
                                <span class="DescriptionTip" title="<?php echo $jSeblod->$item->label; ?>::<?php echo $jSeblod->$item->tooltip; ?>">
                                    <img src="<?php echo $path.'/images/'.$tooltipIcon; ?>" alt=" " />
                                </span>
                                <?php } ?>
                            <?php } ?>
                            </td>
                            <td width="140" <?php echo ( ! ( $jSeblod->$item->light || $jSeblod->$item->display == 3 ) ) ? 'class="cck_label"' : 'class="key cck_label"'; ?>>
                            <?php if ( $jSeblod->$item->display == 3 ||  $jSeblod->$item->display == 2 ) { ?>
                                <label for="<?php echo $jSeblod->$item->name; ?>" <?php if ( $labelColor ) { echo 'style="color: '.$labelColor.'"'; } ?>><?php echo ( $jSeblod->$item->label ) ? $jSeblod->$item->label . $labelSeparator : ''; ?></label>
                            <?php } ?>
                            </td>
                            <td class="cck_field" id="<?php echo $jSeblod->$item->container; ?>">
                            	<?php echo $jSeblod->$item->codebefore; ?>
                                <?php echo $jSeblod->$item->form; ?>
                              	<?php echo $jSeblod->$item->codeafter; ?>
                            </td>
                        </tr>
                    <?php } else { echo $jSeblod->$item->form; }?>
			        <?php } ?>
            <?php } } ?>
		
	<?php } } ?>
	</table>
	<?php
	if ( $subPanelId && $animPanels && ! $panelId && ! @$subClosed ) {
		echo $objSubPanel->endPanel();
		echo $objSubPanel->endPane();
	}
	if ( $panelId && $animPanels && ! @$closed ) {
		echo $objPanel->endPanel();
		echo $objPanel->endPane();
	}
	?>
</fieldset>
	
<?php endif;
/**
 * End
 **/
?>